# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import portailuser.fields


class Migration(migrations.Migration):

    dependencies = [
        ("portailuser", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="ChampCaseACocher",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                ("ident", models.SlugField(max_length=32, verbose_name=b"Identifiant")),
                ("titre", models.CharField(max_length=64, verbose_name=b"Titre")),
                (
                    "defaut",
                    models.BooleanField(
                        default=True, verbose_name=b"Coch\xc3\xa9e par d\xc3\xa9faut"
                    ),
                ),
                (
                    "ecole",
                    models.ForeignKey(
                        editable=False, to="portailuser.Ecole", on_delete=models.CASCADE
                    ),
                ),
            ],
            options={"abstract": False,},
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name="ChampEntier",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                ("ident", models.SlugField(max_length=32, verbose_name=b"Identifiant")),
                ("titre", models.CharField(max_length=64, verbose_name=b"Titre")),
                (
                    "choix_oblig",
                    models.BooleanField(
                        default=False, verbose_name=b"Remplissage obligatoire"
                    ),
                ),
                ("val_min", models.IntegerField(verbose_name=b"Valeur minimale")),
                ("val_max", models.IntegerField(verbose_name=b"Valeur maximale")),
                (
                    "defaut",
                    models.IntegerField(
                        max_length=64,
                        verbose_name=b"Valeur par d\xc3\xa9faut",
                        blank=True,
                    ),
                ),
                (
                    "ecole",
                    models.ForeignKey(
                        editable=False, to="portailuser.Ecole", on_delete=models.CASCADE
                    ),
                ),
            ],
            options={"abstract": False,},
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name="ChampLigneTexte",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                ("ident", models.SlugField(max_length=32, verbose_name=b"Identifiant")),
                ("titre", models.CharField(max_length=64, verbose_name=b"Titre")),
                (
                    "choix_oblig",
                    models.BooleanField(
                        default=False, verbose_name=b"Remplissage obligatoire"
                    ),
                ),
                (
                    "defaut",
                    models.CharField(
                        max_length=64,
                        verbose_name=b"Valeur par d\xc3\xa9faut",
                        blank=True,
                    ),
                ),
                (
                    "ecole",
                    models.ForeignKey(
                        editable=False, to="portailuser.Ecole", on_delete=models.CASCADE
                    ),
                ),
            ],
            options={"abstract": False,},
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name="ChampMenuDeroulant",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                ("ident", models.SlugField(max_length=32, verbose_name=b"Identifiant")),
                ("titre", models.CharField(max_length=64, verbose_name=b"Titre")),
                (
                    "choix_oblig",
                    models.BooleanField(
                        default=False, verbose_name=b"Choix obligatoire"
                    ),
                ),
                (
                    "choix",
                    models.TextField(
                        help_text=b"(1 par ligne, format \xc2\xab\xc2\xa0cl\xc3\xa9:valeur\xc2\xa0\xc2\xbb)",
                        verbose_name=b"Choix",
                    ),
                ),
                (
                    "defaut",
                    models.CharField(
                        max_length=32,
                        verbose_name=b"Par d\xc3\xa9faut (cl\xc3\xa9)",
                        blank=True,
                    ),
                ),
                (
                    "ecole",
                    models.ForeignKey(
                        editable=False, to="portailuser.Ecole", on_delete=models.CASCADE
                    ),
                ),
            ],
            options={"abstract": False,},
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name="ChampTexte",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                ("ident", models.SlugField(max_length=32, verbose_name=b"Identifiant")),
                ("titre", models.CharField(max_length=64, verbose_name=b"Titre")),
                (
                    "choix_oblig",
                    models.BooleanField(
                        default=False, verbose_name=b"Remplissage obligatoire"
                    ),
                ),
                (
                    "defaut",
                    models.TextField(
                        verbose_name=b"Valeur par d\xc3\xa9faut", blank=True
                    ),
                ),
                (
                    "ecole",
                    models.ForeignKey(
                        editable=False, to="portailuser.Ecole", on_delete=models.CASCADE
                    ),
                ),
            ],
            options={"abstract": False,},
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name="DonneeFormulaire",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                ("ident_champ", models.SlugField(max_length=32)),
                ("valeur", models.TextField(null=True, blank=True)),
            ],
            options={},
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name="Inscription",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                ("nom", models.CharField(max_length=64, verbose_name=b"Nom")),
                (
                    "prenom",
                    models.CharField(max_length=64, verbose_name=b"Pr\xc3\xa9nom"),
                ),
                ("date_naissance", models.DateField(verbose_name=b"Date de naissance")),
                (
                    "genre",
                    models.SmallIntegerField(
                        verbose_name=b"Genre",
                        choices=[(1, b"Masculin"), (2, b"F\xc3\xa9minin")],
                    ),
                ),
                ("promo", models.IntegerField(verbose_name=b"Promo")),
                (
                    "filiere",
                    models.CharField(max_length=64, verbose_name=b"Fili\xc3\xa8re"),
                ),
                (
                    "inscrit_ae",
                    models.BooleanField(
                        default=False, verbose_name=b"Inscrit \xc3\xa0 l\xe2\x80\x99AE"
                    ),
                ),
                (
                    "surnom",
                    models.CharField(
                        max_length=64, verbose_name=b"Surnom (opt)", blank=True
                    ),
                ),
                (
                    "email",
                    models.EmailField(
                        max_length=75, verbose_name=b"Email annexe (opt)", blank=True
                    ),
                ),
                (
                    "adresse",
                    models.TextField(
                        verbose_name=b"Adresse personnelle (opt)", blank=True
                    ),
                ),
                (
                    "adr_parents",
                    models.TextField(verbose_name=b"Adresse parents (opt)", blank=True),
                ),
                (
                    "tel_mobile",
                    portailuser.fields.PortailUserDbPhoneField(
                        max_length=32,
                        verbose_name=b"T\xc3\xa9l\xc3\xa9phone mobile (opt)",
                        blank=True,
                    ),
                ),
                (
                    "tel_perso",
                    portailuser.fields.PortailUserDbPhoneField(
                        max_length=32,
                        verbose_name=b"T\xc3\xa9l\xc3\xa9phone perso (opt)",
                        blank=True,
                    ),
                ),
                ("fiche_imp", models.BooleanField(default=False, editable=False)),
                ("login", models.CharField(unique=True, max_length=10, editable=False)),
                ("mdp", models.CharField(max_length=10, editable=False)),
                ("date_ajout", models.DateTimeField(auto_now_add=True)),
                ("etat", models.SmallIntegerField(default=0, editable=False)),
                (
                    "ident_cri",
                    models.CharField(default=b"", max_length=32, editable=False),
                ),
                (
                    "mail_cri",
                    models.EmailField(default=b"", max_length=75, editable=False),
                ),
                (
                    "ecole",
                    models.ForeignKey(
                        editable=False, to="portailuser.Ecole", on_delete=models.CASCADE
                    ),
                ),
            ],
            options={},
            bases=(models.Model,),
        ),
        migrations.AddField(
            model_name="donneeformulaire",
            name="inscription",
            field=models.ForeignKey(
                to="gestion__inscriptions.Inscription", on_delete=models.CASCADE
            ),
            preserve_default=True,
        ),
        migrations.AlterUniqueTogether(
            name="donneeformulaire", unique_together={("inscription", "ident_champ")},
        ),
        migrations.AlterUniqueTogether(
            name="champtexte", unique_together={("ident", "ecole")},
        ),
        migrations.AlterUniqueTogether(
            name="champmenuderoulant", unique_together={("ident", "ecole")},
        ),
        migrations.AlterUniqueTogether(
            name="champlignetexte", unique_together={("ident", "ecole")},
        ),
        migrations.AlterUniqueTogether(
            name="champentier", unique_together={("ident", "ecole")},
        ),
        migrations.AlterUniqueTogether(
            name="champcaseacocher", unique_together={("ident", "ecole")},
        ),
    ]
